require_relative "bloopi/version"
require_relative 'bloopi/errors'
require_relative "bloopi/configuration"
require_relative "bloopi/http_service"
require_relative "bloopi/http_service/request"
require_relative "bloopi/http_service/response"
require_relative "bloopi/api/auth"
require_relative "bloopi/api/ether"
require_relative "bloopi/api/omise_go"
require_relative "bloopi/api/token"

module Bloopi

	class << self
		def configure
		  yield config
		end

		# See Bloopi::Configuration.
		def config
		  @config ||= Configuration.new
		end
  end

 	def self.make_request(path, args, verb, options = {})
    HTTPService.make_request(HTTPService::Request.new(path: path, args: args, verb: verb, options: options))
  end
end
